Skip to content
POST /unified/ads/creatives

Query Parameters

Refer Specifying query parameters in Truto APIs

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Request Body

Refer Writing data using Unified APIs

account_idstring

The unique identifier for the account.

applink_treatmentstring

The applink treatment for the creative.

Possible values:
automaticdeeplink_with_appstore_fallbackdeeplink_with_web_fallbackweb_only
authorization_categorystring

The authorization category for the creative.

Possible values:
nonepolitical
bodystring

The body for the creative.

call_to_action_specobject

The call to action spec for the creative.

1 supported
Meta Marketing API
supported
call_to_action_typestring

The call to action type for the creative.

Possible values:
open_linklike_pageshop_nowplay_gameinstall_appuse_appcallcall_mevideo_callinstall_mobile_appuse_mobile_appmobile_download+ 63 more
image_cropsobject

The image crops for the creative.

image_hashstring

The image hash for the creative.

image_urlstring

The image URL for the creative.

interactive_componentsobject

The interactive components for the creative.

labelsobject[]

The labels for the creative.

idstring

The unique identifier for the label.

namestring

The name of the label.

remote_dataRecord<string, any>

Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.

specobject

The spec for the creative.

Response Body

idstring
required·

The unique identifier for the creative.

account_idstring

The unique identifier for the account.

applink_treatmentstring

The applink treatment for the creative.

Possible values:
automaticdeeplink_with_appstore_fallbackdeeplink_with_web_fallbackweb_only
authorization_categorystring

The authorization category for the creative.

Possible values:
nonepolitical
bodystring

The body for the creative.

call_to_action_typestring

The call to action type for the creative.

Possible values:
open_linklike_pageshop_nowplay_gameinstall_appuse_appcallcall_mevideo_callinstall_mobile_appuse_mobile_appmobile_download+ 63 more
created_atstring · date-time

The date and time the creative was created.

image_cropsobject

The image crops for the creative.

image_hashstring

The image hash for the creative.

image_urlstring

The image URL for the creative.

interactive_componentsobject

The interactive components for the creative.

labelsobject[]

The labels for the creative.

idstring

The unique identifier for the label.

namestring

The name of the label.

namestring

The name of the creative.

propertiesobject[]

The properties for the creative.

idstring

The unique identifier for the property.

typestring

The type for the property.

urlstring

The URL for the property.

remote_dataRecord<string, any>

Raw data returned from the remote API call.

specobject

The spec for the creative.

statusstring

The status of the creative.

Possible values:
activedeletedin_processwith_issues
updated_atstring · date-time

The date and time the creative was last updated.

urlsobject[]

The URLs for the creative.

idstring

The unique identifier for the URL.

typestring

The type for the URL.

urlstring

The URL for the URL.

curl -X POST 'https://api.truto.one/unified/ads/creatives?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "account_id": "your_account_id",
  "labels": [],
  "applink_treatment": "automatic",
  "authorization_category": "none",
  "body": "your_body",
  "call_to_action_type": "open_link",
  "call_to_action_spec": {},
  "image_crops": {},
  "image_hash": "your_image_hash",
  "image_url": "your_image_url",
  "interactive_components": {},
  "spec": {},
  "remote_data": {}
}'
const integratedAccountId = '<integrated_account_id>';

const body = {
  "account_id": "your_account_id",
  "labels": [],
  "applink_treatment": "automatic",
  "authorization_category": "none",
  "body": "your_body",
  "call_to_action_type": "open_link",
  "call_to_action_spec": {},
  "image_crops": {},
  "image_hash": "your_image_hash",
  "image_url": "your_image_url",
  "interactive_components": {},
  "spec": {},
  "remote_data": {}
};

const response = await fetch(`https://api.truto.one/unified/ads/creatives?integrated_account_id=${integratedAccountId}`, {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/ads/creatives"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}
payload = {
    "account_id": "your_account_id",
    "labels": [],
    "applink_treatment": "automatic",
    "authorization_category": "none",
    "body": "your_body",
    "call_to_action_type": "open_link",
    "call_to_action_spec": {},
    "image_crops": {},
    "image_hash": "your_image_hash",
    "image_url": "your_image_url",
    "interactive_components": {},
    "spec": {},
    "remote_data": {}
}

response = requests.post(url, headers=headers, params=params, json=payload)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.create(
  'ads',
  'creatives',
  {
  "account_id": "your_account_id",
  "labels": [],
  "applink_treatment": "automatic",
  "authorization_category": "none",
  "body": "your_body",
  "call_to_action_type": "open_link",
  "call_to_action_spec": {},
  "image_crops": {},
  "image_hash": "your_image_hash",
  "image_url": "your_image_url",
  "interactive_components": {},
  "spec": {},
  "remote_data": {}
},
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.create(
        "ads",
        "creatives",
        {
        "account_id": "your_account_id",
        "labels": [],
        "applink_treatment": "automatic",
        "authorization_category": "none",
        "body": "your_body",
        "call_to_action_type": "open_link",
        "call_to_action_spec": {},
        "image_crops": {},
        "image_hash": "your_image_hash",
        "image_url": "your_image_url",
        "interactive_components": {},
        "spec": {},
        "remote_data": {}
},
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())